package it.ictdays.javahostel.control;

import java.io.Serializable;

import it.ictdays.javahostel.application.RegistrationService;
import it.ictdays.javahostel.application.UnderAgeGuestException;
import it.ictdays.javahostel.domain.Guest;

import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

@Named
@SessionScoped
public class RegistrationController implements Serializable {
	@EJB
	private RegistrationService registrationService;
	private Guest guest = new Guest();
	private int age;

	public Guest getGuest() {
		return guest;
	}

	public int getAge() {
		return age;
	}

	public String register() {
		try {
			registrationService.register(guest);
		}
		catch (UnderAgeGuestException e) {
			age = e.getAge();
			return "/registration/underage.xhtml";
		}
		return "/registration/success.xhtml";
	}
}
